List Call Agents
curl --request GET \
--url https://api.trillet.ai/v1/api/agents \
--header 'x-api-key: <api-key>' \
--header 'x-workspace-id: <x-workspace-id>'import requests
url = "https://api.trillet.ai/v1/api/agents"
headers = {
"x-api-key": "<api-key>",
"x-workspace-id": "<x-workspace-id>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-workspace-id': '<x-workspace-id>'}
};
fetch('https://api.trillet.ai/v1/api/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"ttsModel": {
"language": "en",
"provider": "openai",
"voiceId": "example-voice-id-1",
"name": "ExampleVoice"
},
"_id": "example-agent-id-1",
"workspaceId": "example-workspace-id-1",
"userId": "example-user-id-1",
"name": "Test-Agent-1",
"llmModel": "gpt-4o-mini",
"type": "voice",
"settings": {
"speed": 0.7,
"volume": 1,
"temperature": 0.7
},
"status": "ready",
"activeSessions": [],
"createdAt": "2025-01-19T02:57:27.923Z",
"updatedAt": "2025-01-19T02:57:27.923Z"
},
{
"ttsModel": {
"language": "en",
"provider": "cartesia",
"voiceId": "example-voice-id-2",
"name": "Sarah"
},
"_id": "example-agent-id-2",
"workspaceId": "example-workspace-id-2",
"userId": "example-user-id-2",
"name": "New-Agent",
"llmModel": "gpt-4o-mini",
"type": "voice",
"settings": {
"speed": 0,
"volume": 1,
"temperature": 0.7
},
"status": "ready",
"activeSessions": [
{
"roomName": "example-room-1",
"startTime": "2025-01-16T14:46:36.883Z",
"status": "active",
"_id": "example-session-id-1"
},
{
"roomName": "example-room-2",
"startTime": "2025-01-16T21:10:47.518Z",
"status": "active",
"_id": "example-session-id-2"
}
],
"createdAt": "2024-12-27T10:49:04.175Z",
"updatedAt": "2025-01-17T09:09:47.887Z"
}
]
Call Agents
List Call Agents
Retrieve a list of all call agents with all their details.
GET
/
v1
/
api
/
agents
List Call Agents
Headers
string
required
API key used for authenticating requests to the API.
string
required
Workspace identifier for the API.
[
{
"ttsModel": {
"language": "en",
"provider": "openai",
"voiceId": "example-voice-id-1",
"name": "ExampleVoice"
},
"_id": "example-agent-id-1",
"workspaceId": "example-workspace-id-1",
"userId": "example-user-id-1",
"name": "Test-Agent-1",
"llmModel": "gpt-4o-mini",
"type": "voice",
"settings": {
"speed": 0.7,
"volume": 1,
"temperature": 0.7
},
"status": "ready",
"activeSessions": [],
"createdAt": "2025-01-19T02:57:27.923Z",
"updatedAt": "2025-01-19T02:57:27.923Z"
},
{
"ttsModel": {
"language": "en",
"provider": "cartesia",
"voiceId": "example-voice-id-2",
"name": "Sarah"
},
"_id": "example-agent-id-2",
"workspaceId": "example-workspace-id-2",
"userId": "example-user-id-2",
"name": "New-Agent",
"llmModel": "gpt-4o-mini",
"type": "voice",
"settings": {
"speed": 0,
"volume": 1,
"temperature": 0.7
},
"status": "ready",
"activeSessions": [
{
"roomName": "example-room-1",
"startTime": "2025-01-16T14:46:36.883Z",
"status": "active",
"_id": "example-session-id-1"
},
{
"roomName": "example-room-2",
"startTime": "2025-01-16T21:10:47.518Z",
"status": "active",
"_id": "example-session-id-2"
}
],
"createdAt": "2024-12-27T10:49:04.175Z",
"updatedAt": "2025-01-17T09:09:47.887Z"
}
]
Response Fields
object
Contains the text-to-speech model details.
string
The language of the voice model (e.g.,
en).string
The TTS provider name (e.g.,
openai, cartesia).string
The unique identifier for the voice model.
string
The name of the voice model.
string
Unique identifier for the agent.
string
Unique identifier for the workspace associated with the agent.
string
Unique identifier for the user associated with the agent.
string
Name of the agent.
string
The LLM (language model) used by the agent (e.g.,
gpt-4o-mini).string
Type of agent (e.g.,
voice).object
The settings for the agent, including
speed, volume, and temperature.number
Speed value for TTS narration (0 to 1).
number
Volume level for TTS (0 to 1).
number
Temperature for LLM creativity (0 to 1).
string
The current status of the agent (e.g.,
ready).array
A list of active sessions associated with the agent.
string
The timestamp when the agent was created.
string
The timestamp when the agent was last updated.
⌘I
